Cuda error in mapd


#1

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
CUDA_CUDA_LIBRARY (ADVANCED)
linked by target “mapd_server” in directory /home/thickstat/eclipse/mapd-core
linked by target “initdb” in directory /home/thickstat/eclipse/mapd-core
linked by target “CudaMgr” in directory /home/thickstat/eclipse/mapd-core/CudaMgr
linked by target “ResultSetTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “TopKTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “ProfileTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “DBObjectPrivilegesTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “PlanTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “UpdelStorageTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “MapDQLCommandTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “ResultSetBaselineRadixSortTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “StoragePerfTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “ImportTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “StorageTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “ExecuteTest” in directory /home/thickstat/eclipse/mapd-core/Tests
linked by target “RunQueryLoop” in directory /home/thickstat/eclipse/mapd-core/Tests

– Configuring incomplete, errors occurred!
See also “/home/thickstat/eclipse/mapd-core/cmake-build-debug/CMakeFiles/CMakeOutput.log”.
See also “/home/thickstat/eclipse/mapd-core/cmake-build-debug/CMakeFiles/CMakeError.log”.

i have this cuda error while setting up
i am using
thickstat@nagulan:~$ nvcc --version
nvcc: NVIDIA ® Cuda compiler driver
Copyright © 2005-2016 NVIDIA Corporation
Built on Tue_Jan_10_13:22:03_CST_2017
Cuda compilation tools, release 8.0, V8.0.61

how to solve this issue


#2

@nagulan -

Please limit your posting to a single thread per topic; it doesn’t help any of us trying to answer your questions to see the same question in multiple threads and try and figure out what is happening.

Have you successfully built MapD Core at least one time? All of these CMake questions come down to making sure you have the proper dependencies installed. If you are still having trouble with Ubuntu 16.04LTS, I would highly suggest using Ubuntu 18.04LTS with CUDA 9 or newer.

Best,
Randy